# ManagedExecution

Specifies the execution mode for managed applications.

For backward compatibility, the following string values can also be used in build files:

Value | Corresponding field
--- | ---
"true" | `Auto`
"false" | `Default`

Even if set to `Default`, the operating system can still run the program as a managed application.

On Linux this can be done through binfmt_misc, while on Windows installing the .NET Framework redistributable caused managed applications to run on the MS CLR by default.

### Fields

Field | Description
--- | ---
Auto | Leave it up to the CLR to determine which specific version of the CLR will be used to run the application.
Default | Do not threat the program as a managed application.
Strict | Forces an application to run against the currently targeted version of a given CLR.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)